Get a sweep | Moov Documentation

Get a sweep

Get details on a specific sweep.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

GET

/accounts/{accountID}/wallets/{walletID}/sweeps/{sweepID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/sweeps/{sweepID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var sweepConfigID string

mc.GetSweepConfig(ctx, accountID, sweepConfigID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.get({
    accountID: "481bc941-34a2-4c2a-a4f8-feaa9a25d630",
    walletID: "e63a4638-ad67-44fb-9b59-ed7311023602",
    sweepID: "c88c9731-06c2-4b4a-a7d2-34c8b936d9ae",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->sweeps->get(
    accountID: '481bc941-34a2-4c2a-a4f8-feaa9a25d630',
    walletID: 'e63a4638-ad67-44fb-9b59-ed7311023602',
    sweepID: 'c88c9731-06c2-4b4a-a7d2-34c8b936d9ae'
);

if ($response->sweep !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSweepResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetSweepResponse res = sdk.sweeps().get()
                .accountID("481bc941-34a2-4c2a-a4f8-feaa9a25d630")
                .walletID("e63a4638-ad67-44fb-9b59-ed7311023602")
                .sweepID("c88c9731-06c2-4b4a-a7d2-34c8b936d9ae")
                .call();

if (res.sweep().isPresent()) {
            System.out.println(res.sweep().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.sweeps.get(account_id="481bc941-34a2-4c2a-a4f8-feaa9a25d630", wallet_id="e63a4638-ad67-44fb-9b59-ed7311023602", sweep_id="c88c9731-06c2-4b4a-a7d2-34c8b936d9ae")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.sweeps.get(account_id: '481bc941-34a2-4c2a-a4f8-feaa9a25d630', wallet_id: 'e63a4638-ad67-44fb-9b59-ed7311023602', sweep_id: 'c88c9731-06c2-4b4a-a7d2-34c8b936d9ae')

unless res.sweep.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Sweeps.GetAsync(
    accountID: "481bc941-34a2-4c2a-a4f8-feaa9a25d630",
    walletID: "e63a4638-ad67-44fb-9b59-ed7311023602",
    sweepID: "c88c9731-06c2-4b4a-a7d2-34c8b936d9ae"
);

// handle response

The request completed successfully.

Accrued sweep

{
  "accrualStartedOn": "2024-05-06T12:20:38.184Z",
  "accruedAmount": "100.00",
  "currency": "USD",
  "status": "accruing",
  "subtotals": [
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "moov-fee"
    },
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "account-funding"
    }
  ],
  "sweepID": "01234567-89ab-cdef-0123-456789abcdef"
}

Paid sweep

{
  "accrualEndedOn": "2024-05-06T12:20:38.184Z",
  "accrualStartedOn": "2024-05-06T12:20:38.184Z",
  "accruedAmount": "100.00",
  "currency": "USD",
  "pushPaymentMethodID": "01234567-89ab-cdef-0123-456789abcdef",
  "residualBalance": "0.00",
  "statementDescriptor": "swp_012345",
  "status": "paid",
  "subtotals": [
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "moov-fee"
    },
    {
      "amount": {
        "currency": "USD",
        "valueDecimal": "50.00"
      },
      "count": 1,
      "type": "account-funding"
    }
  ],
  "sweepID": "01234567-89ab-cdef-0123-456789abcdef",
  "transferAmount": "12.98",
  "transferID": "01234567-89ab-cdef-0123-456789abcdef"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

The date-time the sweep began accruing transactions.

The total net amount of wallet transactions accrued in the sweep.

A 3-letter ISO 4217 currency code.

Possible values:

accruing,

action-required,

canceled,

closed,

failed,

paid

The date-time the sweep stopped accruing transactions.

ID of the payment method.

ID of the payment method.

Amount remaining in the wallet after the sweep transfer completes.

The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.

The subtotal of each transaction type contributing to the sweep's accrued amount.

Show child attributes

The value of transactions of this type accrued in the sweep.

Show child attributes

A 3-letter ISO 4217 currency code.

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

The number of transactions of this type accrued in the sweep.

The type of wallet transaction the subtotal is for.

Possible values:

account-funding,

ach-reversal,

auto-sweep,

card-payment,

card-decline,

card-reversal,

cash-out,

dispute,

dispute-reversal,

facilitator-fee,

issuing-refund,

issuing-transaction,

issuing-transaction-adjustment,

issuing-auth-hold,

issuing-auth-release,

issuing-decline,

moov-fee,

payment,

payout,

refund,

refund-failure,

rtp-failure,

top-up,

wallet-transfer,

adjustment,

fee-revenue,

residual,

instant-bank-failure

Amount that is transferred.